
Redmine - Feature #18093

Please add the permission "can see project members" to the roles, or better an "hidden member"

attribute for roles or memberships

2014-10-14 14:52 - Stefano Gargiulo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I use redmine also for customer support on a software product I developed and I'm selling, so I created the role "Customer" and

allowed it only to open tickets on a project, anyway It's not nice that in that way all the customers can see the other customers name

in frontpage.

Anyway the can se the Developer name, so better than this is to have a flag to hide some members to be listed in the homepage of

the project, this can be in the project membership status or  better per-role (e.g. always not show "customers" or say "bug reporter"

members in the project homepage)

Related issues:

Related to Redmine - Patch #18128: Make User profile 404 rendering more consi... Closed

Is duplicate of Redmine - Feature #7224: Permission for seeing Members on Pro... New 2011-01-03

History

#1 - 2014-10-20 21:30 - Jean-Philippe Lang

- Related to Patch #18128: Make User profile 404 rendering more consistent (and speed up Users#show API) added

#2 - 2016-12-13 21:22 - Jean-Philippe Lang

- Is duplicate of Feature #7224: Permission for seeing Members on Project Overview added

#3 - 2016-12-13 21:22 - Jean-Philippe Lang

- Status changed from New to Closed

Same as #7224
